Subject: Re: OS/2 version of Rend386

From: Marc Nicholas <[email-masked]>
Date: Thu, 2 Dec 93 09:35:59 EST

Hi all...

And then there's the idea of a Macintosh port...no memory problems, inherent 
support for multiple monitors, built-in network access (albeit LocalTalk on 
lower-end machines)...etc...etc...

I'm bound to get flamed for this! :*)

Marc.

-------------------------------------------------------------------------------
Marc Nicholas - Technical Manager
RedNet Ltd. - The Mac Networking People

Tel +44 494 513 333                   Fax +44 494 443 374
Mobile +44 850 433 571                Home +44 494 438 925
Internet: [email-masked]     AppleLink: RedNet

"Virtual Reality: Just like real life, only the pixels are bigger..."

---

From: Chris Hand <[email-masked]>
Date: Fri, 3 Dec 93 12:18:27 GMT

> lower-end machines)...etc...etc...

It's been done... I think it's called Gossamer.  It's very rudimentary,
but it does seem to work.  I know nothing more about it.

All this talk of porting REN386 to other platforms seems to be missing
the main issue: it was written to do fast rendering on the *386* and
compatible CPU's.  The critical sections of code are all in assembler.
Lots of the code accesses VGA through the registers.  If you want to 
port this sort of code, you're talking about going a *long* way back
(to the design) before you start coding, rather than just re-compiling
something.

Maybe the next version of Borland C will help with creating a flat
memory space or whatever, but if REND starts using features like that then
I for one will not be doing any more development -- I jumped off the
runaway train of the Borland Upgrade Programme a couple of years ago
when they started bringing out new versions every 3 months and wanted money...

Chris

-- 
Chris Hand, Lecturer                      | Dept of Computing Science,
Internet e-mail: [email-masked]            | De Montfort University, The Gateway 
 Reality is 80 Million polygons/second    | LEICESTER, UK   LE1 9BH            
WWW: <A HREF="http://qadir.cms.dmu.ac.uk:9999/People/cph/cphroot.html">cph</A>